%define name OpenVerse
%define version 0.7
%define release 2mdk

Summary: Visual Chat program which runs on multiple platforms.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Communications
Source: OpenVerse.tar.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description
The OpenVerse is similiar to other Visual Chat programs such as
The Pallace or Microsoft Chat with the main exception that it is a
completely OPEN and FREE piece of software. The OpenVerse runs on many
platforms including Linux/UNIX, Macintosh and Micro$oft Windows.
The Home page for OpenVerse is http://openverse.org

%prep

%setup -n OpenVerse

%build

%install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/anims
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/help 
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/images
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/objects
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/rimages
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/simages 
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/rooms
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/icons 
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/download 
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/plugins 
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/lib
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/panels
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/OpenVerse/plugins/Query
install -m 755 -d $RPM_BUILD_ROOT/usr/share/gnome/apps
install -m 755 -d $RPM_BUILD_ROOT/usr/share/gnome/apps/Internet
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}

install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 OpenVerse.tcl $RPM_BUILD_ROOT/usr/bin/OpenVerse

install -m 644 lib/{AvEd.tcl,Avatars.tcl,BaseFunc.tcl} $RPM_BUILD_ROOT/usr/lib/OpenVerse/lib/
install -m 644 lib/{Debug.tcl,BugRpt.tcl,Bubble.tcl} $RPM_BUILD_ROOT/usr/lib/OpenVerse/lib/
install -m 644 lib/{ChtFuncs.tcl,GifHeader.tcl,Globals.tcl} $RPM_BUILD_ROOT/usr/lib/OpenVerse/lib/
install -m 644 lib/{IOFuncs.tcl,InitMain.tcl,Objects.tcl} $RPM_BUILD_ROOT/usr/lib/OpenVerse/lib/
install -m 644 lib/{Passage.tcl,Plugin.tcl,ServGUI.tcl} $RPM_BUILD_ROOT/usr/lib/OpenVerse/lib/
install -m 644 lib/{SetFuncs.tcl,URL.tcl,tkohlp.tcl} $RPM_BUILD_ROOT/usr/lib/OpenVerse/lib/

install -m 755 lib/OpenVerse.tcl $RPM_BUILD_ROOT/usr/lib/OpenVerse/
install -m 755 lib/server.tcl $RPM_BUILD_ROOT/usr/lib/OpenVerse/
install -m 644 server.cfg $RPM_BUILD_ROOT/usr/lib/OpenVerse/ 
install -m 644 passageways.txt $RPM_BUILD_ROOT/usr/lib/OpenVerse/

install -m 644 anims/* $RPM_BUILD_ROOT/usr/lib/OpenVerse/anims/

install -m 644 icons/* $RPM_BUILD_ROOT/usr/lib/OpenVerse/icons/

install -m 644 images/* $RPM_BUILD_ROOT/usr/lib/OpenVerse/images/

#install -m 644 objects/* $RPM_BUILD_ROOT/usr/lib/OpenVerse/objects/

#install -m 644 rimages/* $RPM_BUILD_ROOT/usr/lib/OpenVerse/rimages/

install -m 644 rooms/room.gif $RPM_BUILD_ROOT/usr/lib/OpenVerse/rooms/

install -m 644 plugins/Query/PlugInit.tcl $RPM_BUILD_ROOT/usr/lib/OpenVerse/plugins/Query

install -m 644 help/{About.ohlp,OpenVerse.ohlp,Technical.ohlp} $RPM_BUILD_ROOT/usr/lib/OpenVerse/help/

install -m 644 panels/* $RPM_BUILD_ROOT/usr/lib/OpenVerse/panels/

install -m 644 {BUGS,CHANGELOG,COMMANDS} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 {CREDITS,FIRSTS,README} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 {TODO,gpl.txt} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/

install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
install -m 644 icons/ov2.ico $RPM_BUILD_ROOT/usr/share/icons/

install -m 755 -d $RPM_BUILD_ROOT/etc/X11/wmconfig/


%files
%defattr (-,root,root)
%doc
%dir /usr/lib/OpenVerse/
%dir /usr/lib/OpenVerse/anims
%dir /usr/lib/OpenVerse/help
%dir /usr/lib/OpenVerse/images
%dir /usr/lib/OpenVerse/objects
%dir /usr/lib/OpenVerse/rimages
%dir /usr/lib/OpenVerse/simages
%dir /usr/lib/OpenVerse/rooms
%dir /usr/lib/OpenVerse/icons
%dir /usr/lib/OpenVerse/download
%dir /usr/lib/OpenVerse/plugins
%dir /usr/lib/OpenVerse/lib
%dir /usr/lib/OpenVerse/panels
%dir /usr/lib/OpenVerse/plugins/Query
%dir /usr/share/gnome/apps
%dir /usr/share/gnome/apps/Internet
/usr/lib/OpenVerse/lib/AvEd.tcl
/usr/lib/OpenVerse/lib/Avatars.tcl
/usr/lib/OpenVerse/lib/BaseFunc.tcl
/usr/lib/OpenVerse/lib/Debug.tcl
/usr/lib/OpenVerse/lib/BugRpt.tcl
/usr/lib/OpenVerse/lib/Bubble.tcl
/usr/lib/OpenVerse/lib/ChtFuncs.tcl
/usr/lib/OpenVerse/lib/GifHeader.tcl
/usr/lib/OpenVerse/lib/Globals.tcl
/usr/lib/OpenVerse/lib/IOFuncs.tcl
/usr/lib/OpenVerse/lib/InitMain.tcl
/usr/lib/OpenVerse/lib/Objects.tcl
/usr/lib/OpenVerse/lib/Passage.tcl
/usr/lib/OpenVerse/lib/Plugin.tcl
/usr/lib/OpenVerse/lib/ServGUI.tcl
/usr/lib/OpenVerse/lib/SetFuncs.tcl
/usr/lib/OpenVerse/lib/URL.tcl
/usr/lib/OpenVerse/lib/tkohlp.tcl
/usr/lib/OpenVerse/OpenVerse.tcl
/usr/lib/OpenVerse/anims/default.av
/usr/lib/OpenVerse/anims/BSDdevil.av
/usr/lib/OpenVerse/anims/Bob.av
/usr/lib/OpenVerse/images/bob.gif
/usr/lib/OpenVerse/images/default.gif
/usr/lib/OpenVerse/images/devil.gif
/usr/lib/OpenVerse/icons/dccfile.gif
/usr/lib/OpenVerse/icons/loading.gif
/usr/lib/OpenVerse/icons/rubber.gif
/usr/lib/OpenVerse/icons/default.gif
/usr/lib/OpenVerse/icons/locked.gif
/usr/lib/OpenVerse/icons/minimv.gif
/usr/lib/OpenVerse/icons/minimv.ico
/usr/lib/OpenVerse/icons/mv2.gif
/usr/lib/OpenVerse/icons/mv2.xbm
/usr/lib/OpenVerse/icons/mv2.xpm
/usr/lib/OpenVerse/icons/mvi.xbm
/usr/lib/OpenVerse/icons/rateit.gif
/usr/lib/OpenVerse/icons/unknown.gif
/usr/lib/OpenVerse/icons/unlocked.gif
/usr/lib/OpenVerse/icons/ov2.ico
/usr/lib/OpenVerse/icons/wwwurl.gif
/usr/lib/OpenVerse/icons/emailurl.gif
/usr/lib/OpenVerse/icons/ftpurl.gif
/usr/lib/OpenVerse/icons/notes.gif
/usr/lib/OpenVerse/icons/hearts.gif
/usr/lib/OpenVerse/icons/steam.gif
/usr/lib/OpenVerse/icons/bulb.gif
/usr/lib/OpenVerse/icons/log.gif
/usr/lib/OpenVerse/icons/pinfo.gif
/usr/lib/OpenVerse/plugins/Query/PlugInit.tcl
/usr/lib/OpenVerse/server.tcl
/usr/lib/OpenVerse/rooms/room.gif
/usr/lib/OpenVerse/server.cfg
/usr/lib/OpenVerse/help/OpenVerse.ohlp
/usr/lib/OpenVerse/help/Technical.ohlp
/usr/lib/OpenVerse/help/About.ohlp
/usr/lib/OpenVerse/passageways.txt
/usr/lib/OpenVerse/panels/Fun
/usr/lib/OpenVerse/panels/NotFun
/usr/bin/OpenVerse
/usr/doc/OpenVerse-0.7/BUGS
/usr/doc/OpenVerse-0.7/CHANGELOG
/usr/doc/OpenVerse-0.7/COMMANDS
/usr/doc/OpenVerse-0.7/CREDITS
/usr/doc/OpenVerse-0.7/README
/usr/doc/OpenVerse-0.7/TODO
/usr/doc/OpenVerse-0.7/FIRSTS
/usr/doc/OpenVerse-0.7/gpl.txt
/usr/share/icons/ov2.ico
#/etc/X11/wmconfig/OpenVerse
#/usr/share/applnk/Internet/OpenVerse.kdelnk
#/usr/share/gnome/apps/Internet/OpenVerse.desktop

%changelog
* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- fix group
- fix sources permission

* Wed Feb 16 2000 Lenny Cartier <lenny@mandrakesoft.com>
- bz2 archive
- filelist
